import yaml

def read_config(config_file):
    with open(config_file, 'r') as file:
        config = yaml.safe_load(file)
    return config

def get_parameters():
    parameters = {}
    config = read_config('config.yml')
    for key, value in config.items():
        if isinstance(value, dict):
            for sub_key, sub_value in value.items():
                parameters[f'{key}_{sub_key}'] = sub_value
        else:
            parameters[key] = value
    return parameters
